#include <functional>
#include <memory>

#include "event.hpp"
#include "field.hpp"

namespace coyote {

    void Event::release() { _ptr_field.reset(); }

    const std::vector<double>& Event::data() const {
        if (_ptr_field)
            return _ptr_field->_buffer;
        else
            throw std::runtime_error("Buffer already freed.");
    }

    size_t Event::collection_size() const { return _ptr_field->_collection_size; }
    size_t Event::point_size() const { return _ptr_field->_point_size; }
} // namespace coyote
