#ifndef COYOTE_EVENT_HPP
#define COYOTE_EVENT_HPP

#include <memory>
#include <optional>
#include <vector>

namespace coyote {

    class Field;

    class Event {
      public:
        Event(std::shared_ptr<Field>& f) : _ptr_field(f) {}

        void release();

        const std::vector<double>& data() const;
        size_t collection_size() const;
        size_t point_size() const;

      private:
        std::shared_ptr<Field>& _ptr_field;
    };

} // namespace coyote
#endif
